DOMDocument::createTextNode
DOMDocument::getElementsByTagName
DOMDocument
PHP Manual

# DOMDocument::getElementById

(No version information available, might be only in CVS)

DOMDocument::getElementById — Searches for an element with a certain id

### Description

DOMElement DOMDocument::getElementById ( string `$elementId` )

This function is similar to DOMDocument::getElementsByTagName but searches for an element with a given id.

For this function to work, you will need either to set some ID attributes with DOMElement::setIdAttribute or a DTD which defines an attribute to be of type ID. In the later case, you will need to validate your document with DOMDocument::validate or DOMDocument->validateOnParse before using this function.

### Parameters

`elementId`

  The unique id value for an element.

### Return Values

Returns the DOMElement or `NULL` if the element is not found.

### Examples

Example #1 DOMDocument->getElementById() Example

`<?php
$doc = new DomDocument;
// We need to validate our document before refering to the id
$doc->validateOnParse = true;
$doc->Load('book.xml');
echo "The element whose id is books is: " . $doc->getElementById('books')->tagName . "\n";
?>`

The above example will output:

    The element whose id is books is: chapter

### See Also

- DOMDocument::getElementsByTagName

DOMDocument::createTextNode
DOMDocument::getElementsByTagName
DOMDocument
PHP Manual